Skip to main content
GET
C#
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

refund_id
string<uuid>
required

The ID of the refund

Example:

"6a1d4e46-14ed-4fe1-a45f-eff4e025d211"

Response

Successful Response

id
string<uuid>
required

The unique identifier for the refund.

Example:

"6a1d4e46-14ed-4fe1-a45f-eff4e025d211"

transaction_id
string<uuid>
required

The ID of the transaction associated with this refund.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

status
enum<string>
required

The status of the refund.

Available options:
processing,
succeeded,
failed,
declined,
voided
Example:

"succeeded"

currency
string
required

The ISO 4217 currency code for this refund. Will always match that of the associated transaction.

Pattern: ^[A-Z]{3}$
Examples:

"EUR"

"GBP"

"USD"

amount
integer
required

The amount of this refund, in the smallest currency unit (for example, cents or pence).

Required range: 0 <= x <= 99999999
Example:

1299

target_type
enum<string>
required

The type of the instrument that was refunded.

Available options:
payment-method,
gift-card-redemption
Example:

"payment-method"

reconciliation_id
string
required

The base62 encoded refund ID. This represents a shorter version of this refund's id which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's refund against our system.

Example:

"7jZXl4gBUNl0CnaLEnfXbt"

transaction_reconciliation_id
string
required

The base62 encoded transaction ID. This represents a shorter version of the related transaction's id which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's transaction against our system.

Example:

"aLEnfXbt7jZXl4gBUNl0Cn"

created_at
string<date-time>
required

The date this refund was created at.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>
required

The date this refund was last updated at.

Example:

"2013-07-16T19:23:00.000+00:00"

settled
boolean
required

Indicates whether this refund has been settled.

Example:

true

type
string
default:refund

Always refund.

Allowed value: "refund"
Example:

"refund"

payment_service_refund_id
string | null

The payment service's unique ID for the refund.

Required string length: 1 - 300
Example:

"refund_xYqd43gySMtori"

reason
string | null

The reason for this refund. Could be a multiline string.

Example:

"Refund due to user request."

target_id
string<uuid> | null

The optional ID of the instrument that was refunded. This may be null if the instrument was not stored.

Example:

"07e70d14-a0c0-4ff5-bd4a-509959af0e4d"

external_identifier
string | null

An external identifier that can be used to match the refund against your own records.

Example:

"refund-12345"

transaction_external_identifier
string | null

An external identifier that can be used to match the transaction against your own records.

Example:

"transaction-12345"

creator
Creator · object | null

The user that created this resource

Example:
error_code
string | null

The standardized error code set by Gr4vy.

Example:

"service_error"

raw_response_code
string | null

This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"E104"

raw_response_description
string | null

This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"Missing redirect URL"

settled_currency
string | null

The ISO 4217 currency code of this refund's settlement.

Pattern: ^[A-Z]{3}$
Example:

"USD"

settled_amount
integer
default:0

The net amount settled for this refund, in the smallest currency unit (for example, cents or pence).

Example:

1100